<?php

class SimpleCipher extends Cipher
{
  protected $secret_encrypt = array();
  protected $secret_decrpyt = array();

  protected function encrypt_char($char)
  {
    if(isset($this->secret_encrypt[$char]))
      return $this->secret_encrypt[$char];
    else
      return $char;
  }

  protected function decrypt_char($char)
  {
    if(isset($this->secret_decrpyt[$char]))
      return $this->secret_decrpyt[$char];
    else
      return $char;
  }
}

